Loading...
Searching...
No Matches
volk_32f_atan_32f.h File Reference
`#include <math.h>`
`#include <immintrin.h>`
`#include <volk/volk_avx_intrinsics.h>`
`#include <arm_neon.h>`
`#include <volk/volk_neon_intrinsics.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_atan_32f_u_H

## Functions

static void | volk_32f_atan_32f_generic (float *out, const float *in, unsigned int num_points)
static void | volk_32f_atan_32f_polynomial (float *out, const float *in, unsigned int num_points)
static void | volk_32f_atan_32f_a_avx2 (float *out, const float *in, unsigned int num_points)
static void | volk_32f_atan_32f_neon (float *out, const float *in, unsigned int num_points)
static void | volk_32f_atan_32f_u_avx2 (float *out, const float *in, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_atan_32f_u_H

#define INCLUDED_volk_32f_atan_32f_u_H

## Function Documentation

## volk_32f_atan_32f_a_avx2()

void volk_32f_atan_32f_a_avx2 | ( | float * | out,
|  | const float * | in,
|  | unsigned int | num_points )

inline static

## volk_32f_atan_32f_generic()

void volk_32f_atan_32f_generic | ( | float * | out,
|  | const float * | in,
|  | unsigned int | num_points )

inline static

## volk_32f_atan_32f_neon()

void volk_32f_atan_32f_neon | ( | float * | out,
|  | const float * | in,
|  | unsigned int | num_points )

inline static

## volk_32f_atan_32f_polynomial()

void volk_32f_atan_32f_polynomial | ( | float * | out,
|  | const float * | in,
|  | unsigned int | num_points )

inline static

## volk_32f_atan_32f_u_avx2()

void volk_32f_atan_32f_u_avx2 | ( | float * | out,
|  | const float * | in,
|  | unsigned int | num_points )

inline static